Get incident events
GET
https://api.coralogix.com/mgmt/openapi/3/incidents/incidents/v1/{incident_id}/eventsRetrieve a chronological list of all events associated with a specific incident. Includes state changes, assignments, acknowledgments, and resolutions.
Requires the following permissions:
incidents:read
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Path Parameters
incident_id# stringrequired
Example:
incident_idResponse
application/json
Response containing all events associated with the requested incident
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
incidentEvents#object[]oneOfincidentEvents.acknowledge# object incidentEvents.operationalEvent# object
incidentEvents.incidentEventType#IncidentEventTyperequired
Possible values: [INCIDENT_EVENT_TYPE_UNSPECIFIED, INCIDENT_EVENT_TYPE_UPSERT_STATE, INCIDENT_EVENT_TYPE_OPEN, INCIDENT_EVENT_TYPE_CLOSE, INCIDENT_EVENT_TYPE_SNOOZE_INDICATOR, INCIDENT_EVENT_TYPE_ASSIGN, INCIDENT_EVENT_TYPE_UNASSIGN, INCIDENT_EVENT_TYPE_ACKNOWLEDGE]
incidentEvents.originatorType#OriginatorTyperequired
Possible values: [ORIGINATOR_TYPE_UNSPECIFIED, ORIGINATOR_TYPE_OPERATIONAL, ORIGINATOR_TYPE_ADMINISTRATIVE]